package org.project.entity;

import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public interface Entity {

    void lightattack(Entity target);
    void heavyattack(Entity target);
    void defend();
    void healHp(int health);
    void healMp(int mp);
    void takeDamage(int damage);
    int getMaxHP();
    int getHp();
    int getMaxMP();
    int getMp();
    Armor getArmor();
    Weapon getWeapon();
    void falsepossible();
    void truepossible();
    boolean getpossible();
    boolean isalive();
    void repair();
    void specialAbility(Entity target);
    String toString();
    String getName();




}
